Index: branches/MESI/modules/vci_mem_cache/caba/source/src/vci_mem_cache.cpp
===================================================================
--- branches/MESI/modules/vci_mem_cache/caba/source/src/vci_mem_cache.cpp	(revision 719)
+++ branches/MESI/modules/vci_mem_cache/caba/source/src/vci_mem_cache.cpp	(revision 785)
@@ -2629,5 +2439,5 @@
 
 #if DEBUG_MEMC_MULTI_ACK
-                        if(m_debug)
+                        if (m_debug)
                             std::cout << "  <MEMC " << name() << " MULTI_ACK_HEAP_LOCK> Update directory:"
                                 << " tag = " << std::hex << entry.tag
@@ -2650,28 +2460,28 @@
             case MULTI_ACK_HEAP_WRITE:       // add an entry in the heap
                 {
-                    if(r_alloc_heap_fsm.read() == ALLOC_HEAP_MULTI_ACK and 
+                    if (r_alloc_heap_fsm.read() == ALLOC_HEAP_MULTI_ACK and 
                        r_alloc_dir_fsm.read() == ALLOC_DIR_MULTI_ACK)
                     {
                         HeapEntry heap_entry;
-                        heap_entry.owner.srcid    = r_multi_ack_srcid.read();
-
-                        if( (r_multi_ack_pktid.read() & 0x07) == 0x03)
-                        {
-                            heap_entry.owner.inst     = 1;
+                        heap_entry.owner.srcid = r_multi_ack_srcid.read();
+
+                        if ((r_multi_ack_pktid.read() & 0x07) == 0x03)
+                        {
+                            heap_entry.owner.inst = 1;
                         }
                         else
                         {
-                            heap_entry.owner.inst     = 0;
-                        }
-
-                        heap_entry.next           = m_heap.next_free_ptr();
+                            heap_entry.owner.inst = 0;
+                        }
+
+                        heap_entry.next = m_heap.next_free_ptr();
                         m_heap.write_free_entry(heap_entry);
                         m_heap.write_free_ptr(r_multi_ack_next_ptr.read());
-                        if(r_multi_ack_last_free.read())  m_heap.set_full();
+                        if (r_multi_ack_last_free.read())  m_heap.set_full();
 
                         r_multi_ack_fsm = MULTI_ACK_IVT_CLEAR;
 
 #if DEBUG_MEMC_MULTI_ACK
-                        if(m_debug)
+                        if (m_debug)
                             std::cout << "  <MEMC " << name() << " MULTI_ACK_HEAP_WRITE> Add an entry in the heap:"
                                 << " owner_id = " << std::hex << heap_entry.owner.srcid
@@ -2754,15 +2564,15 @@
         ////////////////////////////////////////////////////////////////////////////////////
 
-        switch( r_config_fsm.read() )
+        switch (r_config_fsm.read())
         {
             /////////////////
             case CONFIG_IDLE:  // waiting a config request 
                 {
-                    if ( r_config_cmd.read() != MEMC_CMD_NOP )  
-                    {
-                        r_config_fsm    = CONFIG_LOOP;
+                    if (r_config_cmd.read() != MEMC_CMD_NOP)  
+                    {
+                        r_config_fsm = CONFIG_LOOP;
 
 #if DEBUG_MEMC_CONFIG
-                        if(m_debug)
+                        if (m_debug)
                             std::cout << "  <MEMC " << name() << " CONFIG_IDLE> Config Request received" 
                                 << " address = " << std::hex << r_config_address.read()
@@ -2776,5 +2586,5 @@
             case CONFIG_LOOP:   // test last line to be handled 
                 {
-                    if ( r_config_cmd_lines.read() == 0 )
+                    if (r_config_cmd_lines.read() == 0)
                     {
                         r_config_cmd = MEMC_CMD_NOP;
@@ -2787,5 +2597,5 @@
 
 #if DEBUG_MEMC_CONFIG
-                    if(m_debug)
+                    if (m_debug)
                         std::cout << "  <MEMC " << name() << " CONFIG_LOOP>" 
                             << " address = " << std::hex << r_config_address.read()    
@@ -2798,5 +2608,5 @@
             case CONFIG_WAIT:   // wait completion (last response) 
                 {
-                    if ( r_config_rsp_lines.read() == 0 )  // last response received
+                    if (r_config_rsp_lines.read() == 0)  // last response received
                     {
                         r_config_fsm = CONFIG_RSP;
@@ -2804,5 +2614,5 @@
 
 #if DEBUG_MEMC_CONFIG
-                    if(m_debug)
+                    if (m_debug)
                         std::cout << "  <MEMC " << name() << " CONFIG_WAIT>" 
                             << " / lines to do = " << std::dec << r_config_rsp_lines.read() << std::endl;
@@ -2813,15 +2623,15 @@
             case CONFIG_RSP:  // request TGT_RSP FSM to return response 
                 {
-                    if ( not r_config_to_tgt_rsp_req.read() )
-                    {
-                        r_config_to_tgt_rsp_srcid  = r_config_srcid.read();
-                        r_config_to_tgt_rsp_trdid  = r_config_trdid.read();
-                        r_config_to_tgt_rsp_pktid  = r_config_pktid.read();
-                        r_config_to_tgt_rsp_error  = false;
-                        r_config_to_tgt_rsp_req    = true;
-                        r_config_fsm               = CONFIG_IDLE;
+                    if (not r_config_to_tgt_rsp_req.read() )
+                    {
+                        r_config_to_tgt_rsp_srcid = r_config_srcid.read();
+                        r_config_to_tgt_rsp_trdid = r_config_trdid.read();
+                        r_config_to_tgt_rsp_pktid = r_config_pktid.read();
+                        r_config_to_tgt_rsp_error = false;
+                        r_config_to_tgt_rsp_req   = true;
+                        r_config_fsm              = CONFIG_IDLE;
 
 #if DEBUG_MEMC_CONFIG
-                        if(m_debug)
+                        if (m_debug)
                             std::cout << "  <MEMC " << name() << " CONFIG_RSP> Request TGT_RSP FSM to return response:"
                                 << " error = " << r_config_to_tgt_rsp_error.read()
@@ -2838,5 +2648,5 @@
             case CONFIG_DIR_REQ:  // Request directory lock
                 {
-                    if ( r_alloc_dir_fsm.read() == ALLOC_DIR_CONFIG )
+                    if (r_alloc_dir_fsm.read() == ALLOC_DIR_CONFIG )
                     {
                         r_config_fsm = CONFIG_DIR_ACCESS;
@@ -2844,5 +2654,5 @@
 
 #if DEBUG_MEMC_CONFIG
-                    if(m_debug)
+                    if (m_debug)
                         std::cout << "  <MEMC " << name() << " CONFIG_DIR_REQ>"
                             << " Request DIR access" << std::endl;
@@ -2871,12 +2681,12 @@
                             (r_config_cmd.read() == MEMC_CMD_INVAL)) 
                     {
-                        r_config_fsm    = CONFIG_IVT_LOCK;
-                    }
-                    else if ( (entry.state == ENTRY_SHARED or entry.state == ENTRY_EXCLUSIVE) and                       // hit & sync command
+                        r_config_fsm = CONFIG_IVT_LOCK;
+                    }
+                    else if ((entry.state == ENTRY_SHARED or entry.state == ENTRY_EXCLUSIVE) and                       // hit & sync command
                             entry.dirty and (r_config_cmd.read() == MEMC_CMD_SYNC) )
                     { 
                         r_config_fsm = CONFIG_TRT_LOCK;
                     }
-                    else if( entry.state == ENTRY_LOCKED)
+                    else if (entry.state == ENTRY_LOCKED)
                     {   // wait for unlock 
                         r_config_fsm = CONFIG_WAIT;
@@ -2891,5 +2701,5 @@
 
 #if DEBUG_MEMC_CONFIG
-                    if(m_debug)
+                    if (m_debug)
                         std::cout << "  <MEMC " << name() << " CONFIG_DIR_ACCESS> Accessing directory: "
                             << " address = " << std::hex << r_config_address.read()
@@ -2912,10 +2722,10 @@
                             "MEMC ERROR in CONFIG_TRT_LOCK state: bad DIR allocation");
 
-                    if ( r_alloc_trt_fsm.read() == ALLOC_TRT_CONFIG )
+                    if (r_alloc_trt_fsm.read() == ALLOC_TRT_CONFIG)
                     {
                         size_t index = 0;
-                        bool   wok   = not m_trt.full(index);
-
-                        if ( not wok )
+                        bool wok = not m_trt.full(index);
+
+                        if (not wok)
                         {
                             r_config_fsm = CONFIG_LOOP;
@@ -2923,6 +2733,6 @@
                         else
                         {
-                            size_t          way = r_config_dir_way.read();
-                            size_t          set = m_y[r_config_address.read()];
+                            size_t way = r_config_dir_way.read();
+                            size_t set = m_y[r_config_address.read()];
 
                             // reset dirty bit in DIR
@@ -2940,9 +2750,9 @@
 
                             r_config_trt_index = index;
-                            r_config_fsm       = CONFIG_TRT_SET;
+                            r_config_fsm = CONFIG_TRT_SET;
                         }
 
 #if DEBUG_MEMC_CONFIG
-                        if(m_debug)
+                        if (m_debug)
                             std::cout << "  <MEMC " << name() << " CONFIG_TRT_LOCK> Access TRT: "
                                 << " wok = " << std::dec << wok
@@ -2956,19 +2766,19 @@
                 // and post a PUT request in TRT
                 {
-                    assert( (r_alloc_dir_fsm.read() == ALLOC_DIR_CONFIG) and
+                    assert((r_alloc_dir_fsm.read() == ALLOC_DIR_CONFIG) and
                             "MEMC ERROR in CONFIG_TRT_SET state: bad DIR allocation");
 
-                    assert( (r_alloc_trt_fsm.read() == ALLOC_TRT_CONFIG) and
+                    assert((r_alloc_trt_fsm.read() == ALLOC_TRT_CONFIG) and
                             "MEMC ERROR in CONFIG_TRT_SET state: bad TRT allocation");
 
                     // read data into cache
-                    size_t          way = r_config_dir_way.read();
-                    size_t          set = m_y[r_config_address.read()];
+                    size_t way = r_config_dir_way.read();
+                    size_t set = m_y[r_config_address.read()];
                     std::vector<data_t> data_vector;
                     data_vector.clear();
-                    for(size_t word=0; word<m_words; word++) 
-                    {
-                        uint32_t data = m_cache_data.read( way, set, word );
-                        data_vector.push_back( data );
+                    for (size_t word = 0; word < m_words; word++) 
+                    {
+                        uint32_t data = m_cache_data.read(way, set, word);
+                        data_vector.push_back(data);
                     }
 
@@ -2992,5 +2802,5 @@
 
 #if DEBUG_MEMC_CONFIG
-                    if(m_debug)
+                    if (m_debug)
                         std::cout << "  <MEMC " << name() << " CONFIG_TRT_SET> PUT request in TRT:"
                             << " address = " << std::hex << r_config_address.read()
@@ -3002,5 +2812,5 @@
             case CONFIG_PUT_REQ:       // post PUT request to IXR_CMD_FSM
                 {
-                    if ( not r_config_to_ixr_cmd_req.read() )
+                    if (not r_config_to_ixr_cmd_req.read())
                     {
                         r_config_to_ixr_cmd_req   = true;
@@ -3008,10 +2818,10 @@
 
                         // prepare next iteration
-                        r_config_cmd_lines              = r_config_cmd_lines.read() - 1;
-                        r_config_address                = r_config_address.read() + (m_words<<2);
-                        r_config_fsm                    = CONFIG_LOOP;
+                        r_config_cmd_lines = r_config_cmd_lines.read() - 1;
+                        r_config_address   = r_config_address.read() + (m_words << 2);
+                        r_config_fsm       = CONFIG_LOOP;
 
 #if DEBUG_MEMC_CONFIG
-                        if(m_debug)
+                        if (m_debug)
                             std::cout << "  <MEMC " << name() << " CONFIG_PUT_REQ> post PUT request to IXR_CMD_FSM"
                                 << " / address = " << std::hex << r_config_address.read() << std::endl; 
@@ -3027,21 +2837,21 @@
                 // directory if IVT not full. 
                 {
-                    assert( (r_alloc_dir_fsm.read() == ALLOC_DIR_CONFIG) and
+                    assert((r_alloc_dir_fsm.read() == ALLOC_DIR_CONFIG) and
                             "MEMC ERROR in CONFIG_IVT_LOCK state: bad DIR allocation");
 
-                    if ( r_alloc_ivt_fsm.read() == ALLOC_IVT_CONFIG )
+                    if (r_alloc_ivt_fsm.read() == ALLOC_IVT_CONFIG)
                     {
                         size_t set        = m_y[(addr_t)(r_config_address.read())];
                         size_t way        = r_config_dir_way.read();
 
-                        if ( r_config_dir_count.read() == 0 )     // inval DIR and return to LOOP
-                        {
-                            m_cache_directory.inval( way, set );
+                        if (r_config_dir_count.read() == 0)     // inval DIR and return to LOOP
+                        {
+                            m_cache_directory.inval(way, set);
                             r_config_cmd_lines  = r_config_cmd_lines.read() - 1;
-                            r_config_address    = r_config_address.read() + (m_words<<2);
+                            r_config_address    = r_config_address.read() + (m_words << 2);
                             r_config_fsm        = CONFIG_LOOP;
 
 #if DEBUG_MEMC_CONFIG
-                            if(m_debug)
+                            if (m_debug)
                                 std::cout << "  <MEMC " << name() << " CONFIG_IVT_LOCK>"
                                     << " No copies in L1 : inval DIR entry"  << std::endl;
@@ -3071,14 +2881,14 @@
                                             index);
 
-                            if ( wok )  // IVT success => inval DIR slot
+                            if (wok)  // IVT success => inval DIR slot
                             {
-                                m_cache_directory.inval( way, set );
+                                m_cache_directory.inval(way, set);
                                 r_config_ivt_index = index;
                                 config_rsp_lines_incr = true;
-                                if ( broadcast )  r_config_fsm = CONFIG_BC_SEND;
-                                else              r_config_fsm = CONFIG_INVAL_SEND;
+                                if (broadcast)  r_config_fsm = CONFIG_BC_SEND;
+                                else             r_config_fsm = CONFIG_INVAL_SEND;
 
 #if DEBUG_MEMC_CONFIG
-                                if(m_debug)
+                                if (m_debug)
                                     std::cout << "  <MEMC " << name() << " CONFIG_IVT_LOCK>"
                                         << " Inval DIR entry and register inval in IVT"
@@ -3092,5 +2902,5 @@
 
 #if DEBUG_MEMC_CONFIG
-                                if(m_debug)
+                                if (m_debug)
                                     std::cout << "  <MEMC " << name() << " CONFIG_IVT_LOCK>"
                                         << " IVT full : release DIR & IVT locks and retry" << std::endl;
@@ -3104,6 +2914,6 @@
             case CONFIG_BC_SEND:    // Post a broadcast inval request to CC_SEND FSM
                 {
-                    if( not r_config_to_cc_send_multi_req.read() and 
-                            not r_config_to_cc_send_brdcast_req.read() )
+                    if (not r_config_to_cc_send_multi_req.read() and 
+                            not r_config_to_cc_send_brdcast_req.read())
                     {
                         // post bc inval request
@@ -3119,5 +2929,5 @@
 
 #if DEBUG_MEMC_CONFIG
-                        if(m_debug)
+                        if (m_debug)
                             std::cout << "  <MEMC " << name() << " CONFIG_BC_SEND>"
                                 << " Post a broadcast inval request to CC_SEND FSM" 
@@ -3130,5 +2940,5 @@
             case CONFIG_INVAL_SEND:    // Post a multi inval request to CC_SEND FSM
                 {
-                    if( not r_config_to_cc_send_multi_req.read() and 
+                    if (not r_config_to_cc_send_multi_req.read() and 
                             not r_config_to_cc_send_brdcast_req.read() )
                     {
@@ -3143,5 +2953,5 @@
                         config_to_cc_send_fifo_put      = true;
 
-                        if ( r_config_dir_count.read() == 1 )  // one copy
+                        if (r_config_dir_count.read() == 1 )  // one copy
                         {
                             // prepare next iteration
@@ -3156,5 +2966,5 @@
 
 #if DEBUG_MEMC_CONFIG
-                        if(m_debug)
+                        if (m_debug)
                             std::cout << "  <MEMC " << name() << " CONFIG_INVAL_SEND>"
                                 << " Post multi inval request to CC_SEND FSM" 
@@ -3169,12 +2979,12 @@
             case CONFIG_HEAP_REQ:  // Try to get access to Heap
                 {
-                    if ( r_alloc_heap_fsm.read() == ALLOC_HEAP_CONFIG )
-                    {
-                        r_config_fsm       = CONFIG_HEAP_SCAN;
+                    if (r_alloc_heap_fsm.read() == ALLOC_HEAP_CONFIG )
+                    {
+                        r_config_fsm = CONFIG_HEAP_SCAN;
                         r_config_heap_next = r_config_dir_ptr.read();
                     }
 
 #if DEBUG_MEMC_CONFIG
-                    if(m_debug)
+                    if (m_debug)
                         std::cout << "  <MEMC " << name() << " CONFIG_HEAP_REQ>"
                             << " Requesting HEAP lock" << std::endl;
@@ -3193,12 +3003,12 @@
                     config_to_cc_send_fifo_put   = true;
 
-                    if ( m_config_to_cc_send_inst_fifo.wok() ) // inval request accepted
+                    if (m_config_to_cc_send_inst_fifo.wok()) // inval request accepted
                     {
                         r_config_heap_next = entry.next;
-                        if ( last_copy ) r_config_fsm = CONFIG_HEAP_LAST;
+                        if (last_copy) r_config_fsm = CONFIG_HEAP_LAST;
                     }
 
 #if DEBUG_MEMC_CONFIG
-                    if(m_debug)
+                    if (m_debug)
                         std::cout << "  <MEMC " << name() << " CONFIG_HEAP_SCAN>"
                             << " Post multi inval request to CC_SEND FSM" 
@@ -3217,5 +3027,5 @@
                     last_entry.owner.inst  = false;
 
-                    if ( m_heap.is_full() )
+                    if (m_heap.is_full())
                     {
                         last_entry.next = r_config_dir_ptr.read();
@@ -3227,14 +3037,14 @@
                     }
 
-                    m_heap.write_free_ptr( r_config_dir_ptr.read() );
-                    m_heap.write( r_config_heap_next.read(), last_entry );
+                    m_heap.write_free_ptr(r_config_dir_ptr.read() );
+                    m_heap.write(r_config_heap_next.read(), last_entry );
 
                     // prepare next iteration
-                    r_config_cmd_lines          = r_config_cmd_lines.read() - 1;
-                    r_config_address            = r_config_address.read() + (m_words<<2);
-                    r_config_fsm                = CONFIG_LOOP;
+                    r_config_cmd_lines = r_config_cmd_lines.read() - 1;
+                    r_config_address   = r_config_address.read() + (m_words<<2);
+                    r_config_fsm       = CONFIG_LOOP;
 
 #if DEBUG_MEMC_CONFIG
-                    if(m_debug)
+                    if (m_debug)
                         std::cout << "  <MEMC " << name() << " CONFIG_HEAP_LAST>"
                             << " Heap housekeeping" << std::endl;
@@ -3272,5 +3082,5 @@
             case READ_IDLE:  // waiting a read request
                 {
-                    if(m_cmd_read_addr_fifo.rok())
+                    if (m_cmd_read_addr_fifo.rok())
                     {
 
@@ -3280,5 +3090,5 @@
 
 #if DEBUG_MEMC_READ
-                        if(m_debug)
+                        if (m_debug)
                             std::cout << "  <MEMC " << name() << " READ_IDLE> Read request"
                                 << " : address = " << std::hex << m_cmd_read_addr_fifo.read()
@@ -3298,17 +3108,13 @@
             case READ_DIR_REQ:  // Get the lock to the directory
                 {
-                    if(r_alloc_dir_fsm.read() == ALLOC_DIR_READ)
+                    if (r_alloc_dir_fsm.read() == ALLOC_DIR_READ)
                     {
                         r_read_fsm = READ_DIR_LOCK;
-                        m_cpt_read_fsm_n_dir_lock++;
                     }
 
 #if DEBUG_MEMC_READ
-                    if(m_debug)
+                    if (m_debug)
                         std::cout << "  <MEMC " << name() << " READ_DIR_REQ> Requesting DIR lock " << std::endl;
 #endif
-
-                    m_cpt_read_fsm_dir_lock++;
-
                     break;
                 }
@@ -3323,7 +3129,7 @@
                     DirectoryEntry entry =
                         m_cache_directory.read(m_cmd_read_addr_fifo.read(), way);
-                    if(((m_cmd_read_pktid_fifo.read() & 0x7) == TYPE_LL) and not r_read_ll_done.read())   // access the global table ONLY when we have an LL cmd
-                    {
-                        r_read_ll_key   = m_llsc_table.ll(m_cmd_read_addr_fifo.read());
+                    if (((m_cmd_read_pktid_fifo.read() & 0x7) == TYPE_LL) and not r_read_ll_done.read())   // access the global table ONLY when we have an LL cmd
+                    {
+                        r_read_ll_key = m_llsc_table.ll(m_cmd_read_addr_fifo.read());
                         /**//*std::cout << "MEMCACHE : from proc " << m_cmd_read_srcid_fifo.read()
                               << " | @ " << std::hex << m_cmd_read_addr_fifo.read()
@@ -3331,6 +3137,4 @@
                         r_read_ll_done  = true;
                     }
-
-                    //bool s_getm_hit         = m_cmd_read_pktid_fifo.read() & 0x8;
 
                     r_read_is_cnt           = entry.is_cnt;
@@ -3350,10 +3154,10 @@
                     bool cached_read = ((m_cmd_read_pktid_fifo.read() & 0x7) != 0) and ((m_cmd_read_pktid_fifo.read() & 0x7) != 0x2) and ((m_cmd_read_pktid_fifo.read() & 0x7) != 0x6);
 
-                    if(entry.state == ENTRY_SHARED or entry.state == ENTRY_EXCLUSIVE)    // hit
-                    {
-                        if ( (m_cmd_read_pktid_fifo.read() & 0x7) == TYPE_WRITE )
+                    if (entry.state == ENTRY_SHARED or entry.state == ENTRY_EXCLUSIVE)    // hit
+                    {
+                        if ((m_cmd_read_pktid_fifo.read() & 0x7) == TYPE_WRITE )
                         {
                                 // Invalid the line in the others processors and put the line in trt with data.
-                                if(entry.count == 0)  
+                                if (entry.count == 0)  
                                   //  ((entry.count == 1) and not entry.is_cnt and (entry.state == ENTRY_SHARED) and (entry.owner.srcid == m_cmd_read_srcid_fifo.read())) or
                                   //  (entry.count == 1 and entry.is_cnt and entry.state == ENTRY_SHARED and s_getm_hit))
@@ -3363,5 +3167,5 @@
                                 else
                                 {
-                                    if((entry.state == ENTRY_EXCLUSIVE) and (entry.owner.srcid == m_cmd_read_srcid_fifo.read())) 
+                                    if ((entry.state == ENTRY_EXCLUSIVE) and (entry.owner.srcid == m_cmd_read_srcid_fifo.read())) 
                                     {
                                         std::cout <<"exclusive line && srcid != read srcid "<< std::endl;
@@ -3372,12 +3176,12 @@
 
                                 addr_t min = m_cmd_read_addr_fifo.read();
-                                addr_t max = m_cmd_read_addr_fifo.read() + m_cmd_read_length_fifo.read()*4;
+                                addr_t max = m_cmd_read_addr_fifo.read() + m_cmd_read_length_fifo.read() * 4;
                                 m_llsc_table.sw(min, max);
                         }
                         else // a read miss request 
                         {
-                            if ( entry.state == ENTRY_SHARED or entry.count == 0)
+                            if (entry.state == ENTRY_SHARED or entry.count == 0)
                             {
-                                if( entry.is_cnt or (entry.count == 0) or (not cached_read))
+                                if (entry.is_cnt or (entry.count == 0) or (not cached_read))
                                 {
                                     r_read_fsm = READ_DIR_HIT;
@@ -3388,5 +3192,5 @@
                                 }
                             }
-                            else if ( entry.state == ENTRY_EXCLUSIVE ) 
+                            else if (entry.state == ENTRY_EXCLUSIVE) 
                             {
                                 r_read_fsm = READ_IVT_UPDT_LOCK;
@@ -3394,7 +3198,6 @@
                         } 
                     }
-                    else if(entry.state == ENTRY_LOCKED) // the line is locked, can't use it at this time
-                    {
-                        m_cpt_read_locked_rb ++;
+                    else if (entry.state == ENTRY_LOCKED) // the line is locked, can't use it at this time
+                    {
                         r_read_fsm = READ_WAIT;
                     }
@@ -3405,5 +3208,5 @@
 
 #if DEBUG_MEMC_READ
-                    if(m_debug)
+                    if (m_debug)
                     {
                         std::cout << "  <MEMC " << name() << " READ_DIR_LOCK> Accessing directory: "
@@ -3415,5 +3218,5 @@
                             << " / is_inst = " << entry.owner.inst 
                             << " / is_cnt = " << entry.is_cnt << std::endl;
-                        if((m_cmd_read_pktid_fifo.read() & 0x7) == TYPE_LL) std::cout << " / LL access" << std::endl;
+                        if ((m_cmd_read_pktid_fifo.read() & 0x7) == TYPE_LL) std::cout << " / LL access" << std::endl;
                         else                                                std::cout << std::endl;
                     }
@@ -3438,5 +3241,5 @@
                         size_t ivt_send_count   = 0;
 
-                        if( m_ivt.is_full() or // not need to check match inval, because of the LOCKED STATE
+                        if (m_ivt.is_full() or // not need to check match inval, because of the LOCKED STATE
                             r_read_to_cc_send_multi_req.read() or 
                             r_read_to_cc_send_brdcast_req.read() or
@@ -3446,5 +3249,5 @@
                             r_read_fsm = READ_WAIT;
 #if DEBUG_MEMC_READ
-                            if(m_debug)
+                            if (m_debug)
                             {
                                 std::cout
@@ -3475,5 +3278,5 @@
                             //r_read_to_cc_send_is_shared     = r_read_state.read() == ENTRY_SHARED;
 
-                            if(r_read_need_block.read())
+                            if (r_read_need_block.read())
                             {
                                 r_read_to_cleanup_nline         = nline;
@@ -3502,5 +3305,5 @@
                                       index);
                                 
-                            if( not_last_multi_req ) 
+                            if (not_last_multi_req ) 
                             {
                                 r_read_fsm = READ_INVAL_HEAP_REQ;
@@ -3512,10 +3315,12 @@
                             }    
 
-                            if(multi_req)
-                                m_cpt_getm_minval ++;
-                            else
+                            // <Activity counters>
+                            if (!multi_req)
+                            {
                                 m_cpt_getm_broadcast ++;
+                            }
+                            // </Activity counters>
 #if DEBUG_MEMC_READ
-                            if(m_debug)
+                            if (m_debug)
                             {
                                 std::cout
@@ -3534,10 +3339,10 @@
             case READ_INVAL_HEAP_REQ:
                 {
-                    if( r_alloc_heap_fsm.read() == ALLOC_HEAP_READ )
+                    if (r_alloc_heap_fsm.read() == ALLOC_HEAP_READ )
                     {
                         r_read_fsm = READ_INVAL_HEAP_ERASE;
                     }
 #if DEBUG_MEMC_READ
-                    if(m_debug)
+                    if (m_debug)
                         std::cout << "  <MEMC " << name() << " READ_INVAL_HEAP_REQ>"
                             << " Requesting HEAP lock" << std::endl;
@@ -3548,5 +3353,5 @@
             case READ_INVAL_HEAP_ERASE:
                 {
-                    if(r_alloc_heap_fsm.read() == ALLOC_HEAP_READ)
+                    if (r_alloc_heap_fsm.read() == ALLOC_HEAP_READ)
                     {
                         HeapEntry entry = m_heap.read(r_read_next_ptr.read());
@@ -3557,5 +3362,5 @@
                         r_read_next_ptr               = entry.next;
 
-                        if(entry.next == r_read_next_ptr.read())   // last copy
+                        if (entry.next == r_read_next_ptr.read())   // last copy
                         {
                             r_read_to_cc_send_multi_req     = true;
@@ -3568,5 +3373,5 @@
 
 #if DEBUG_MEMC_READ
-                        if(m_debug)
+                        if (m_debug)
                             std::cout << "  <MEMC " << name() << " READ_HEAP_ERASE>"
                                 << " Erase copy:"
@@ -3580,5 +3385,5 @@
             case READ_INVAL_HEAP_LAST:  // last copy
                 {
-                    if(r_alloc_heap_fsm.read() != ALLOC_HEAP_READ)
+                    if (r_alloc_heap_fsm.read() != ALLOC_HEAP_READ)
                     {
                         std::cout << "VCI_MEM_CACHE ERROR " << name() << " READ_INVAL_HEAP_LAST"
@@ -3591,5 +3396,5 @@
                     last_entry.owner.srcid    = 0;
                     last_entry.owner.inst     = false;
-                    if(m_heap.is_full())
+                    if (m_heap.is_full())
                     {
                         last_entry.next     = r_read_next_ptr.read();
@@ -3608,5 +3413,5 @@
 
 #if DEBUG_MEMC_READ
-                    if(m_debug)
+                    if (m_debug)
                         std::cout << "  <MEMC " << name() << " READ_INVAL_HEAP_LAST>"
                             << " Heap housekeeping" << std::endl;
@@ -3622,5 +3427,5 @@
                         addr_t nline            = m_nline[(addr_t)(m_cmd_read_addr_fifo.read())];
                         size_t set              = m_y[(addr_t)(m_cmd_read_addr_fifo.read())];
-                        if( m_ivt.is_full() or 
+                        if (m_ivt.is_full() or 
                             r_read_to_cc_send_multi_req.read() or 
                             r_read_to_cc_send_brdcast_req.read() or 
@@ -3629,5 +3434,5 @@
                             r_read_fsm = READ_WAIT;
 #if DEBUG_MEMC_READ
-                            if(m_debug)
+                            if (m_debug)
                             {
                                 std::cout
